%global __provides_exclude perl\\(Test::(More|Builder)\\)
%global __requires_exclude_from %{_docdir}/%{name}

%define with_guile 0
%{?_with_ruby: %{expand: %%global with_ruby 1}}

%define with_ocaml 0
%{?_with_ruby: %{expand: %%global with_ruby 1}}

%define with_mono 0
%{?_with_ruby: %{expand: %%global with_ruby 1}}

Name:		swig
Version:	3.0.12
Release:	%mkrel 1
Epoch:		1
Summary:	Simplified Wrapper and Interface Generator (SWIG)
License:	BSD-like
Group:		Development/Other
URL:		http://www.swig.org/
Source0:	http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires:	bison
BuildRequires:	imake

%if %{with_guile}
BuildRequires:	guile-devel
%endif

%if %{with_ocaml}
BuildRequires:	ocaml
%endif

BuildRequires:	lua-devel

%if %{with_mono}
BuildRequires:	mono
BuildRequires:	mono-devel
%endif

BuildRequires:	pcre-devel
BuildRequires:	libstdc++-devel
BuildRequires:	boost-devel
BuildRequires:	perl-devel
BuildRequires:	php-devel
BuildRequires:	python-devel
BuildRequires:	python3-devel
BuildRequires:	ruby-devel
BuildRequires:	tcl-devel
BuildRequires:	automake
BuildRequires:	autoconf2.5
Obsoletes:	swig-devel

%description
SWIG takes an interface description file written in a combination of C/C++
and special directives and produces interfaces to Perl, Python, and Tcl.
It allows scripting languages to use C/C++ code with minimal effort.

%package doc
Summary:	Documentation and examples for %{name}
Group:		Development/C
BuildArch:	noarch
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description doc
SWIG takes an interface description file written in a combination of C/C++
and special directives and produces interfaces to Perl, Python, and Tcl.
It allows scripting languages to use C/C++ code with minimal effort.

Install the %{name}-doc package if you want to look at example and
documentation.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x
%make_build

%install
%make_install

%files
%doc ANNOUNCE CHANGES CHANGES.current README TODO
%license LICENSE
%{_bindir}/swig
%{_bindir}/ccache-swig
%{_datadir}/swig

%files doc
%doc Examples Doc/Manual


%changelog
* Sun Jan 29 2017 akien <akien> 1:3.0.12-1.mga6
+ Revision: 1084151
- Version 3.0.12

* Sat Jan 14 2017 luigiwalser <luigiwalser> 1:3.0.11-1.mga6
+ Revision: 1081682
- 3.0.11
- also BR python3-devel

* Sat Dec 03 2016 eatdirt <eatdirt> 1:3.0.10-2.mga6
+ Revision: 1071796
- Fix a few API breaks by octave-4.2.0

* Thu Aug 11 2016 luigiwalser <luigiwalser> 1:3.0.10-1.mga6
+ Revision: 1045563
- 3.0.10

* Mon Jan 25 2016 luigiwalser <luigiwalser> 1:3.0.8-1.mga6
+ Revision: 927290
- man pages are no longer built
- 3.0.8
- remove upstream patch
- add patch from fedora to fix build on arm

* Thu Nov 12 2015 philippem <philippem> 1:3.0.7-2.mga6
+ Revision: 902918
- Patch from upstream to fix Python 3.5 issue

* Sat Sep 26 2015 wally <wally> 1:3.0.7-1.mga6
+ Revision: 883918
- new version 3.0.7
- drop unneeded patches

* Mon Jun 29 2015 joequant <joequant> 1:3.0.5-1.mga6
+ Revision: 847561
- upgrade to 3.0.5

* Wed Oct 15 2014 umeabot <umeabot> 1:3.0.2-4.mga5
+ Revision: 741239
- Second Mageia 5 Mass Rebuild

* Wed Sep 24 2014 wally <wally> 1:3.0.2-3.mga5
+ Revision: 724255
- exclude %%_docdir from auto-requires

* Tue Sep 16 2014 umeabot <umeabot> 1:3.0.2-2.mga5
+ Revision: 689641
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Tue Aug 12 2014 wally <wally> 1:3.0.2-1.mga5
+ Revision: 662101
- new version 3.0.2

* Sat Mar 22 2014 wally <wally> 1:3.0.0-1.mga5
+ Revision: 606591
- new version 3.0.0

* Sat Mar 22 2014 wally <wally> 1:2.0.12-1.mga5
+ Revision: 606570
- new version 2.0.12

* Sat Oct 19 2013 umeabot <umeabot> 1:2.0.10-4.mga4
+ Revision: 535977
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 fwang <fwang> 1:2.0.10-3.mga4
+ Revision: 482872
- rebuild for ruby 2.0

* Mon Jul 08 2013 fwang <fwang> 1:2.0.10-2.mga4
+ Revision: 451182
- rebuild for new boost

* Sat Jun 08 2013 tv <tv> 1:2.0.10-1.mga4
+ Revision: 440680
- new release

* Mon Jan 14 2013 umeabot <umeabot> 1:2.0.9-2.mga3
+ Revision: 383841
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 fwang <fwang> 1:2.0.9-1.mga3
+ Revision: 343642
- new version 2.0.9

* Sat Dec 01 2012 fwang <fwang> 1:2.0.8-2.mga3
+ Revision: 323850
- rebuild for new pcre

* Sat Sep 01 2012 fwang <fwang> 1:2.0.8-1.mga3
+ Revision: 286916
- new version 2.0.8

* Thu Aug 16 2012 spuhler <spuhler> 1:2.0.7-2.mga3
+ Revision: 281463
- rebuild against new boost

* Fri Jun 01 2012 pterjan <pterjan> 1:2.0.7-1.mga3
+ Revision: 252577
- Update to 2.0.7 (fixes generated code for new g++)

* Mon Mar 12 2012 fwang <fwang> 1:2.0.4-2.mga2
+ Revision: 223038
- add patch from rhbug#752054 to try fixing guile loading
- mark doc package as noarch
- new version 2.0.4
- new version 2.0.3

* Mon Feb 07 2011 spuhler <spuhler> 1:1.3.40-5.mga1
+ Revision: 48270
- increase rel to 5 to be rebuilt
- removed buildroot definition from .spec

* Thu Jan 13 2011 dmorgan <dmorgan> 1:1.3.40-4.mga1
+ Revision: 16626
- remove mdv macros

  + ahmad <ahmad>
    - imported package swig

